Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class AttributeField

    java.lang.Object
      rdlc.rdl.Field_Named
          rdlc.rdl.AttributeField

All Implemented Interfaces:
  Expression, Field

    public class AttributeField

extends Field_Named

This class represents a very general attribute attached to any instance. Language back ends should make every attempt to pass these attributes on to the units they generate, and may make use of specialized attributes in maps or platforms.

Version:
  $Revision: 1.2 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected java.lang.String` | `value` The value of this attribute.

Fields inherited from class rdlc.rdl.Field_Named
`iName, instance, namespace, rawDynamicID`

Constructor Summary
`` | `AttributeField(java.lang.String _value)` Base constructor, simply records the value of this attribute.
`protected` | `AttributeField(java.lang.String _name, Instance _instance, AttributeField _attribute)` Copy constructor, used during unit instance hierarchy creation.

Method Summary
`Field` | `copy(java.lang.String _name, Instance _instance)` Create a copy of this field in the given instance.
`java.lang.String` | `getValue()` Simple accessor.
`boolean` | `isDefined()` Simple accessor.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.rdl.Field_Named
`getIdentifier, getRawDynamicID, getRequirements, resolve, setInstance, setNamespace, setRawDynamicID, typeMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    protected java.lang.String value

  The value of this attribute.

Constructor Detail

### AttributeField

    public AttributeField(java.lang.String _value)

  Base constructor, simply records the value of this attribute.

  Parameters:
    `_value` - The value of this attribute.

### AttributeField

    protected AttributeField(java.lang.String _name,
                             Instance _instance,
                             AttributeField _attribute)

  Copy constructor, used during unit instance hierarchy creation.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance this copy will be a member of.
    `_attribute` - The attrbiute to copy.

Method Detail

### copy

    public Field copy(java.lang.String _name,
                      Instance _instance)

  Description copied from interface: `Field`
  Create a copy of this field in the given instance. This is highly useful during dynamic hierarchy copying and during back end generation.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance the copy should be a member of.
  See Also:
    `Field.copy(String, Instance)`

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Field_Named`
  Returns:
    A human readable representation of this map for debugging.

### getValue

    public java.lang.String getValue()

  Simple accessor.

  Returns:
    The value of this external.

### isDefined

    public boolean isDefined()

  Simple accessor.

  Returns:
    `true` if this attribute has been given a value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD